import Dexie, { Table } from "dexie";
import FriendReqModel, { FriendReq } from "../../model/FriendsReqModel";
declare class FriendsReq {
    storeDB?: Table<FriendReq, string>;
    changes: Function[];
    init(db: Dexie): void;
    bulkPut(vals: FriendReq[]): void;
    getApplyWithinOneMonth(): Promise<FriendReq[]>;
    bulkGet(): Promise<FriendReqModel[]>;
    update(id: string, changes: {
        [k in keyof FriendReq]?: FriendReq[k];
    }): import("dexie").PromiseExtended<number> | undefined;
    inform(): void;
    subscribe(fn: Function): void;
    unsubscribe(fn: Function): void;
}
declare const _default: FriendsReq;
export default _default;
